Beschikbare Apparaten
POST /api/insurance/SearchItem๐ฑ Zoek naar apparaten die voldoen aan specifieke criteria en beschikbaar zijn voor verzekering.
- ๐ Filter op categorie, fabrikant of zoekterm
- ๐ Retourneert een lijst met apparaten met hun
itemNocodes en verkoopprijzen โ gebruik deze inSearchTemplatesenCreateContract
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
itemCategoryCode*stringEnum: "PHONE" | "TABLET" | "NOTEBOOK" | "VISUAL" | "WEARABLES" | "OTHER" | "DESKTOP"
Device category code (required).
manufacturerCode?string
Manufacturer code to filter results. Leave empty to include all manufacturers.
searchTerm?string
Search term to filter devices by name. Leave empty to return all devices for the selected category.
exactMatch?boolean
If true, only exact matches for the search term are returned. If false, partial matches are included.
Response Body
curl -X POST "https://jubilee-ws.test.harmony.nl/api/insurance/SearchItem" \ -H "Content-Type: application/json" \ -d '{ "itemCategoryCode": "OTHER", "manufacturerCode": "", "searchTerm": "", "exactMatch": false }'